<style>
label{
	width:100px;
}
</style>

<form name="crud" method="POST">
	<label>Nombre de la tabla</label>
	<input type="text" name="tabla">
	<br>
	<label>Campos</label>
	<textArea name="campos">

	</textArea>
	<br>
	<label>Tipo de campos</label>
	<textArea name="tipo-campos">

	</textArea>
	<br>
	<button type="submit" name="generar">Generar</button>
</form>


<?php
if(isset($_POST["generar"])){

	$tabla = $_POST["tabla"];
	$campos = $_POST["campos"];
	$a_campos = split("\.",$campos);
	
	$tipo_campos = $_POST["tipo-campos"];
	$a_tipo_campos = split("\.",$tipo_campos);
	
	$file_vista = fopen("clientes/".$tabla.".php","w") or die ("Error al abrir el archivo");
	$body = "<?php include_once('../header.php')?>";
	$body .= "<div class='content-wrapper'>
    <div class='container-fluid'>
      <!-- Breadcrumbs-->
      <ol class='breadcrumb'>
        <li class='breadcrumb-item'>
          <a href='#'>".$tabla."</a>
        </li>
        <li class='breadcrumb-item active'>Registro de ".$tabla."</li>
      </ol>
        ";

	
	fwrite($file_vista,$body);
	

	fwrite($file_vista,"<br>\n");
	fwrite($file_vista,"<h1 class='text-success'>".$tabla."</h1>\n");
	fwrite($file_vista,"<hr>\n");


	$id = "$id_".$tabla;
	$id_control  = "$".$id;
	$str_insert.="mysql_query('INSERT INTO $tabla SET ";
	$str_update.="mysql_query('UPDATE  $tabla SET ";
	$repeticion = count($a_campos);
	
foreach($a_campos as $i){
	    $c++;
		fwrite($file_vista,"<div class='row'>\n");
		fwrite($file_vista,"<div class='col-md-2'>\n");
		fwrite($file_vista,"<b>".$i."</b>");
		fwrite($file_vista,"</div>\n");
		fwrite($file_vista,"<div class='col-md-10'>\n");
		fwrite($file_vista,"<input type='$a_tipo_campos[0]' id='$i' class='form-control form-control-sm text-primary mb-2'>\n");
		fwrite($file_vista,"</div>\n");
		fwrite($file_vista,"</div>\n");
		$variable = "$".$i;	
		if($c<$repeticion){
			$str_insert.="$i = $variable, ";
			$str_update.="$i = $variable, ";
		}else{
			$str_insert.="$i = $variable";
			

		}
}
$str_update.="$i = $variable WHERE $id=$id_control') or die(mysql_error());";
$str_insert.="') or die(mysql_error());";

fwrite($file_vista,"<hr>\n");
	$fbody="</div>";
	$fbody.="</div>";


$fbody.= "<?php include_once('../footer.php') ?>";

$codigo='<?php $accion = $_POST["accion"];';
$codigo.='$id = $_POST["id"];';
$codigo.='if($accion=="grabar"){ ';
$codigo.='if($id==""){';
$codigo.=$str_insert;
$codigo.='}else{';
$codigo.=$str_update;
$codigo.='}}?>';


fwrite($file_vista,$fbody);
fwrite($file_vista,$codigo);
fclose($file_vista);
}
?>